compilazione mysql versione 4-5

Gianluca Sordiglioni inzet a yahoo.com
Mer 19 Apr 2006 11:57:12 CEST


Molti articoli su Internet si riferiscono a MySQL
3.x-4.0 su FreeBSD 4.x probabilmente perche' ancora
oggi molti utilizzano questa combinazione, me
compreso.
Se ti riferisci a MySQL 5.x, e' spacciato come stabile
ma se vedi la buglist personalmente c'e' da riflettere
sul livello di bug che ancora si trovano prima di
metterlo seriamente in produzione. Non esistono a mia
conoscenza test comparativi da MySQL 4.x e 5.x, molti
rimangono sul vecchio secondo la logica "non si
modifica cio' che funziona"  e quindi l'interesse di
chi gestisce database di un certo tipo e' basso.
Per rispondere almeno in parte alla tua domanda in
linea di principio la compilazione su 5.x o 6.x con
opzione WITH_LINUXTHREADS=yes su sistemi
multiprocessore non e' piu' necessaria poiche' la 5.x
utilizza delle librerie migliori della 4.x, cosi' come
non e' piu' necessaria HAVE_BROKEN_REALPATH=yes.

Gianluca


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 


Maggiori informazioni sulla lista esperti